Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
meo7love

chia đường tròn thành nhiều phân bằng nhau

Các bài được khuyến nghị

mình mới học cad.đọc qua sách rùi mà ko thấy cách chia đường tròn thành nhiêè phần bằng nhau.vd;8 phần,16 phần.

xin chỉ giáo.

bạn dùng lệnh ME (MEASURE) thử xem, chia đươc các cung tròn băng nhau.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mình mới học cad.đọc qua sách rùi mà ko thấy cách chia đường tròn thành nhiêè phần bằng nhau.vd;8 phần,16 phần.

xin chỉ giáo.

Hãy dùng lệnh Divide để chia.Thoải mái luôn. :cheers:

 

Command: DIVIDE

Select object to divide:

Enter the number of segments or [block]: 8

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có Lisp nào chia đoạn thẳng thành nhiều phần mà có thể truy bắt điểm được? DIVIDE thì chia được nhưng không truy bắt điểm được, mà mỗi lần MOVE thì nó "đọng" lại những điểm đó :excl: Chia kiểu DIVIDE thì nhìn cho thấy vậy thôi chứ cũng không giải quyết được gì hết

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có Lisp nào chia đoạn thẳng thành nhiều phần mà có thể truy bắt điểm được? DIVIDE thì chia được nhưng không truy bắt điểm được, mà mỗi lần MOVE thì nó "đọng" lại những điểm đó :excl: Chia kiểu DIVIDE thì nhìn cho thấy vậy thôi chứ cũng không giải quyết được gì hết

Vậy chỉ có cách biến đường Line của bạn thành Pline với nhiều đoạn hoặc chia Line ban đầu của bạn thành nhiều Line, bạn muốn xử lý theo cách nào?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái truy bắt điểm của lệnh Divide thì em làm được rồi. Em chọn cái Node trong Osnap là được, nhưng truy bắt điểm xong thì vẫn còn những điểm đánh dấu. Mất công xoá những điểm đó.

 

Về cái Pline hay Line gì đó của a ketxu thì em ví dụ ntn cho dễ hiểu nha :rolleyes: :P

Cho đoạn thẳng AB với C,D là 2 điểm nằm phía trong đoạn thẳng AB. Chia đoạn thẳng CD thành 3 phần bằng nhau. Những điểm chia này có thể truy bắt điểm được.

 

Nếu anh dùng lệnh DIVIDE thì nó chia cả đoạn AB thành 3 phần chứ nó không chia đoạn CD, vì AB mới là đối tượng nó chia, còn C,D chỉ là điểm nằm trên AB mà thôi. Vậy có cách nào (lisp hay lệnh cơ bản cũng được) chia đoạn CD với yêu cầu như trên mà chỉ cần kích chuột vào 2 điểm C,D thôi là nó chia :) ;)

 

Cái lệnh Divide khó chịu thiệt. Nó chia xong mà không "bẽ gãy" ra, cứ để nguyên gốc với cái dấu chéo to đùng. hic. Ý em là sao để cho nó "chặt" ra thành những "khúc" nhỏ luôn í. hihi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình nghĩ lisp thì các pác kia có thể viết dc. nhưng trong lúc chờ đợi bạn dùng lệnh break để tách từng phần ra. mình nghĩ cái j mà cad có thể làm dc thì nên làm, lạm dụng lisp quá sau này bạn ko có lisp là ko làm dc j cả.

heeee. xin thứ lỗi cho tui nói thật nha!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn vẫn chưa trả lời cho mình là : Chặt ra tức là thành những đoạn rời hẳn nhau hay vẫn là 1 đối tượng có các điểm bắt dính (1 PL với các đỉnh mút tại điểm chia??)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình mới học cad.đọc qua sách rùi mà ko thấy cách chia đường tròn thành nhiêè phần bằng nhau.vd;8 phần,16 phần.

xin chỉ giáo.

Bạn có thể vẽ 1 đường thẳng bất kỳ từ đường tròn đến tâm rồi dùng lệnh ARRAWAY. Sau đó muốn chia bao nhiêu phần thì chọn các tùy chọn tương ứng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chặt ra để truy bắt điểm được chứ không phải là gãy ra thành nhiều đối tượng anh ketxu àh.

vậy mà không nói sớm. bạn sau khi div xong vào menu Format-> chỉnh lại cái Point style, chọn cái gạch chéo hay ji cũng dc, vì mặc định nó là dấu chấm bạn không thấy. bjo bắt điểm thoải mái rồi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái truy bắt điểm của lệnh Divide thì em làm được rồi. Em chọn cái Node trong Osnap là được, nhưng truy bắt điểm xong thì vẫn còn những điểm đánh dấu. Mất công xoá những điểm đó.

 

Về cái Pline hay Line gì đó của a ketxu thì em ví dụ ntn cho dễ hiểu nha :rolleyes: :P

Cho đoạn thẳng AB với C,D là 2 điểm nằm phía trong đoạn thẳng AB. Chia đoạn thẳng CD thành 3 phần bằng nhau. Những điểm chia này có thể truy bắt điểm được.

 

Nếu anh dùng lệnh DIVIDE thì nó chia cả đoạn AB thành 3 phần chứ nó không chia đoạn CD, vì AB mới là đối tượng nó chia, còn C,D chỉ là điểm nằm trên AB mà thôi. Vậy có cách nào (lisp hay lệnh cơ bản cũng được) chia đoạn CD với yêu cầu như trên mà chỉ cần kích chuột vào 2 điểm C,D thôi là nó chia :) ;)

 

Cái lệnh Divide khó chịu thiệt. Nó chia xong mà không "bẽ gãy" ra, cứ để nguyên gốc với cái dấu chéo to đùng. hic. Ý em là sao để cho nó "chặt" ra thành những "khúc" nhỏ luôn í. hihi

Đoạn AB là Line :

(defun c:chial(/ e ename p1 p2 x1 y1 x2 y2 sk i )
(setq e (entget(setq ename (car(entsel "\n Chon Line can chia : "))))		
	x1 (car (setq p1 (getpoint "\n Diem 1")))
	y1 (cadr p1)
	x2 (car (setq p2 (getpoint p1 "\n Diem 2")))
	y2 (cadr p2)
	sk (getint "\n So khoang chia: ")
	i 0
)
(command "_Pline")
(command (cdr (assoc '10 e)))
(repeat (+ 1 sk)
(command (setq points 
(list (+ x1 (* i (/ (- x2 x1) sk)))
	  (+ y1 (* i (/ (- y2 y1) sk)))
		0)))
	(setq i (1+ i))
	)
(command (cdr (assoc '11 e)) "")
(entdel ename)		
)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đoạn AB là Line :

(defun c:chial(/ e ename p1 p2 x1 y1 x2 y2 sk i )
(setq e (entget(setq ename (car(entsel "\n Chon Line can chia : "))))	   
	x1 (car (setq p1 (getpoint "\n Diem 1")))
	y1 (cadr p1)
	x2 (car (setq p2 (getpoint p1 "\n Diem 2")))
	y2 (cadr p2)
	sk (getint "\n So khoang chia: ")
	i 0
)
(command "_Pline")
(command (cdr (assoc '10 e)))
(repeat (+ 1 sk)
(command (setq points
(list (+ x1 (* i (/ (- x2 x1) sk)))
  	(+ y1 (* i (/ (- y2 y1) sk)))
		0)))
	(setq i (1+ i))
	)
(command (cdr (assoc '11 e)) "")
(entdel ename)	   
)

bác ket ah, bác sửa thêm lisp này dùng được cho cả trường hợp nếu như đoạn AB là 1 đoạn của pline ABCD..... gì đó chẳng hạn đi ah.

Sau khi chia đoạn AB thành nhiều đoạn xong, thì pline ABCD.....vẫn sẽ là pline và tên mới là AA1A2A3......BCD.....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Làm được, nhưng ứng dụng không cao lắm, k hiểu bạn cần mần chi rứa ? :) Buồn buồn thì bạn explode ra, làm với thằng đầu, rồi lại nối lại là ngon ngay :">

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

LISt Processor (Xö lý danh s¸ch)

mọi người ,ơi cho e hỏi lisp file là gì vậy?

 

thấy các bác nói suốt mà không hiểu

Nôm na là nó giúp chúng ta làm một số công việc nhất định được thiết kế sẵn do người viết list quy định. Vì thế nó còn có tên là LISt Processor (Xử lý danh sách) Việc viết list quy định nó làm được những gì , và dùng list để làm gì là do người viết và người sử dụng quy định. Người viết trên cơ sở yêu cầu của người sử dụng (về một số trình tự thường lặp đi lặp lại của mình (hoặc một số hành động không có sẵn bằng các lệnh sẵn có của Cad, hoặc là để có kết quả tương đương qua nhiều công đoạn quá gây tốn thời gian) )sẽ viết ra chương trình list với đuôi mở rộng là .lsp. Người dùng "appload" list này vào cad khi gọi nó lên bằng những cách hết sức quen thuộc trong cad (như là khi gọi lệnh "line" (gõ "l") chẳng hạn. ) thì cad sẽ theo cấu trúc list đó mà thực hiện đầy đủ , thứ tự các thủ tục để đưa đến kết quả cuối cùng mà người dùng mong muốn. Như vậy list là công cụ hỗ trợ đắc lực cho vẽ cad, vẽ nhanh hơn, dễ quản lý hơn. Bạn có thể search trên google rất nhiều chủ đề về vấn đề này. Đặc biệt trên diễn đàn mình có một đội ngũ rất mạnh về list đó, có thể giúp đỡ bạn rất nhiều.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vậy mà không nói sớm. bạn sau khi div xong vào menu Format-> chỉnh lại cái Point style, chọn cái gạch chéo hay ji cũng dc, vì mặc định nó là dấu chấm bạn không thấy. bjo bắt điểm thoải mái rồi

mình làm theo cách của bạn để chia đg tròn thành 5 phần  và vẽ sao 5 cánh vào đó nhưng cái điểm chia đó ko nằm chính xác trên đường tròn mà cách một đoạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

2 lúa thì thích chia đường tròn bằng lệnh POL hơn. Và nếu cần sao 5 cánh mà quên vẽ đường tròn cũng không có vấn đề gì lớn.

:D :D :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×